com.comtrade.ecm.engine.io

## Class BufferedReaderBuilder

- java.lang.Object
- - com.comtrade.ecm.engine.io.BufferedReaderBuilder

-     public class BufferedReaderBuilder
      extends java.lang.Object

  `BufferedReader` builder
  If a `BufferedReader` is created without explicitely stating a Charset it uses, it will use `StandardCharsets.UTF_8`. It is mandatory to state a `path`-parameter.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BufferedReaderBuilder()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.io.BufferedReader` | `build()` Builds a `BufferedReader` (according to previously parameters set). If attribute `charset` is not set, then a `DEFAULT_CHARSET` will be used.
    `BufferedReaderBuilder` | `withCharset(java.nio.charset.Charset charset)` Charset to be used while reading from a file. This parameter is optional. If not stated, a `DEFAULT_CHARSET` will be used.
    `BufferedReaderBuilder` | `withCharset(java.lang.String charset)` Charset to be used while reading from a file. This parameter is optional. If not stated, a `DEFAULT_CHARSET` will be used.
    `BufferedReaderBuilder` | `withPath(java.nio.file.Path path)`
    `BufferedReaderBuilder` | `withPath(java.lang.String path)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BufferedReaderBuilder

          public BufferedReaderBuilder()

  - ### Method Detail

    - #### withPath

          public BufferedReaderBuilder withPath(java.nio.file.Path path)

      Parameters:
        `path` - Path of a file that shoud be read from
      Returns:
        A `BufferedReaderBuilder` object

    - #### withPath

          public BufferedReaderBuilder withPath(java.lang.String path)

      Parameters:
        `path` - Path of a file that shoud be read from
      Returns:
        A `BufferedReaderBuilder` object

    - #### withCharset

          public BufferedReaderBuilder withCharset(java.nio.charset.Charset charset)

      Charset to be used while reading from a file.
      This parameter is optional.
      If not stated, a `DEFAULT_CHARSET` will be used.
      Parameters:
        `charset` - Charset to be used while reading to a file
      Returns:
        A `BufferedReaderBuilder` object

    - #### withCharset

          public BufferedReaderBuilder withCharset(java.lang.String charset)

      Charset to be used while reading from a file.
      This parameter is optional.
      If not stated, a `DEFAULT_CHARSET` will be used.
      Parameters:
        `charset` - Charset to be used while reading to a file
      Returns:
        A `BufferedReaderBuilder` object

    - #### build

          public java.io.BufferedReader build()
                                       throws java.io.IOException

      Builds a `BufferedReader` (according to previously parameters set).
      If attribute `charset` is not set, then a `DEFAULT_CHARSET` will be used.
      Returns:
        `BufferedReader`
      Throws:
        `java.lang.IllegalArgumentException` - If `path` is null
        `java.io.IOException` - if something prevents normal opening of a file.